Recent

Author Topic: [SOLVED] Problem installing with FPCUpDeLuxe  (Read 1735 times)

dsiders

  • Sr. Member
  • ****
  • Posts: 331
Re: Problem installing with FPCUpDeLuxe
« Reply #15 on: March 24, 2020, 03:37:36 pm »
I don't think Don Siders is the author of fpcupdeluxe.
Anyway, Mattias added a package link (lpl) file in r62802 which apparently fixed things. I had already forgotten those link files.

I am not. That would be another Don on the forums, I believe.
Lazarus 2.1 (SVN) / FPC 3.0.4 / FPC 3.2.0 / x86-win64 / Windows 8.1

JuhaManninen

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3807
  • I like bugs.
Re: Problem installing with FPCUpDeLuxe
« Reply #16 on: March 24, 2020, 05:19:39 pm »
Will there be an announcement when this is fixed?
Please ask FPCUpDeLuxe developers. Lazarus build system should be OK now after the lpl file was added.
This error looks suspicious: "User defined: only cpu i386 is supported".

BTW, if you only want to latest Lazarus, you don't need FPCUpDeLuxe. Just get Lazarus trunk sources (svn co ...) and run "make".
Mostly Lazarus trunk on Manjaro Linux.

AL

  • Full Member
  • ***
  • Posts: 159
Re: Problem installing with FPCUpDeLuxe
« Reply #17 on: March 24, 2020, 05:28:15 pm »
Where is that  Make.
I see several Makefile, but so far I have not found Make.
What svn is best to use ?
Laz 2.1.0, fpc 3.3.1, Win10
Laz 2.1.0, fpc3.3.1, Mac OS Mojave running on VMWare

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1323
Re: Problem installing with FPCUpDeLuxe
« Reply #18 on: March 24, 2020, 05:46:32 pm »
Thanks all for the feedback.

I have released a new version of fpcupdeluxe.
Among many improvements and limited regressions (I hope), it will now log the revisions that are installed. This makes it easy to switch back.
Just put the desired revision in the suitable editbox inside Setup+.

https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/tag/1.6.8e

Enjoy.

nouzi

  • Full Member
  • ***
  • Posts: 179
Re: Problem installing with FPCUpDeLuxe
« Reply #19 on: March 24, 2020, 06:18:55 pm »
Thanks all for the feedback.

I have released a new version of fpcupdeluxe.
Among many improvements and limited regressions (I hope), it will now log the revisions that are installed. This makes it easy to switch back.
Just put the desired revision in the suitable editbox inside Setup+.

https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/tag/1.6.8e

Enjoy.

I wanted to suggest this
Thanks for everything you give the community
my english is  bad
Lazarus 2.0.6 free pascal 3.0.4
Lazarus trunk  free pascal trunk 
System : linux mint 19.3 64bit  windows 7 64bit

JuhaManninen

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 3807
  • I like bugs.
Re: Problem installing with FPCUpDeLuxe
« Reply #20 on: March 24, 2020, 06:19:45 pm »
Where is that  Make.
I see several Makefile, but so far I have not found Make.
What svn is best to use ?
Either Lazarus trunk or fixes_2_0 branch as you prefer. See:
 https://wiki.lazarus.freepascal.org/Getting_Lazarus
MacOS is a Unix. "make" should be there.
For some platforms like Windows FPC provides the "make" executable.
Mostly Lazarus trunk on Manjaro Linux.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1323
Re: Problem installing with FPCUpDeLuxe
« Reply #21 on: March 24, 2020, 09:30:55 pm »
Hmmmm ... some minor problems with release 1.6.8e.
So, a new one.
https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/tag/1.6.8g

 :D

AL

  • Full Member
  • ***
  • Posts: 159
Re: Problem installing with FPCUpDeLuxe
« Reply #22 on: March 24, 2020, 10:40:05 pm »

What svn is best to use ?
My question was more as to what SVN software is best to use.  As you can see I am not familiar with SVN
Laz 2.1.0, fpc 3.3.1, Win10
Laz 2.1.0, fpc3.3.1, Mac OS Mojave running on VMWare

howardpc

  • Hero Member
  • *****
  • Posts: 3481
Re: Problem installing with FPCUpDeLuxe
« Reply #23 on: March 24, 2020, 10:47:22 pm »
For Windows you could use TortoiseSVN, and for Mac, SnailSVN

trev

  • Hero Member
  • *****
  • Posts: 813
  • Former Delphi 1-7 and 10.2 User
Re: Problem installing with FPCUpDeLuxe
« Reply #24 on: March 25, 2020, 06:49:07 am »

What svn is best to use ?
My question was more as to what SVN software is best to use.  As you can see I am not familiar with SVN

For the moment anyway, Xcode's command line tools come with a command line version of svn.

Code: [Select]
$ which svn
/usr/bin/svn

To grab trunk:

Code: [Select]
svn checkout https://svn.freepascal.org/svn/lazarus/trunk [your_local_source_dir]

To compile I use a script:

Code: [Select]
#!/bin/sh
svn cleanup --remove-unversioned
make distclean all LCL_PLATFORM=cocoa CPU_TARGET=x86_64 bigide

To update trunk, run in your local source dir:

Code: [Select]
svn update
o Lazarus v2.1.0 r63598, FPC v3.3.1 r45778, macOS 10.14.6 (with sup update), Xcode 11.3.1
o Lazarus v2.1.0 r61574, FPC v3.3.1 r42318, FreeBSD 12.1 amd64 (Parallels VM)
o FPC 3.0.4, FreeBSD 12-STABLE r361007 amd64
o Lazarus v2.1.0 r61574, FPC v3.0.4, Ubuntu 18.04 (Parallels VM)

AL

  • Full Member
  • ***
  • Posts: 159
Re: Problem installing with FPCUpDeLuxe
« Reply #25 on: March 25, 2020, 02:23:24 pm »
Thank you trev,  I am saving that for later use  :)
Laz 2.1.0, fpc 3.3.1, Win10
Laz 2.1.0, fpc3.3.1, Mac OS Mojave running on VMWare

 

TinyPortal © 2005-2018